Search the FAQ Archives

3 - A - B - C - D - E - F - G - H - I - J - K - L - M
N - O - P - Q - R - S - T - U - V - W - X - Y - Z
faqs.org - Internet FAQ Archives

comp.unix.aix Frequently Asked Questions (Part 5 of 5)
Section - 8.07: How to configure dialup SLIP

( Part1 - Part2 - Part3 - Part4 - Part5 - Single Page )
[ Usenet FAQs | Web FAQs | Documents | RFC Index | Neighborhoods ]


Top Document: comp.unix.aix Frequently Asked Questions (Part 5 of 5)
Previous Document: 8.06: How do I do remote backup? (cont.)
Next Document: 8.08: Disabling software flow control; using RTS/CTS.
See reader questions & answers on this topic! - Help others by sharing your knowledge
[ formerly in section 1.606 part 5 ]

#!/bin/ksh

# SLIP login .profile
# Adapted from comp.unix.aix FAQ
# by Davide Migliavacca (davide.migliavacca@inferentia.it)
# $Revision: 1.14 $

# Set this variable != 0 to allow multiple logins from this userid

ALLOW_MULTIPLE_LOGINS=0

# NOTE: script currently determines destination IP address from the SLIP
# interface attributes, but it assumes a correspondence
#     ttyxx <-> slipxx
# (see the "IPADDRESS=" awk line)
# It relies on a client being able to read the IP address from
# the logon procedure output.


PATH=/usr/bin:/etc:/usr/sbin:/usr/ucb:$HOME/bin:/usr/bin/X11:/sbin:/usr/local/bin:.

export PATH ENV HISTSIZE
#
# Search for a LCK-File for our tty if there is one
#
TTYDEV=`tty`
TTYBASENAME=`basename $TTYDEV`
TTYNUMBER=`echo $TTYBASENAME | sed -n -e "s/tty\([0-9]\{1,\}\)/\1/p"`

if [ -f /etc/locks/LCK..$TTYBASENAME ];
then SHPID=`cat /etc/locks/LCK..$TTYBASENAME`;
else {
/usr/bin/logger -t SLIP -p error "No LCK file for $TTYDEV"
 exit 64;
}
fi;


# Search for another login from this userid

OTHERSLIP=`ps -fu$USER |
      sed -n -e "s/^ *$USER  *[0-9][0-9]* .*-.*\/usr\/sbin\/slattach \(tty[0-9]\{1,\}\) *$/\1/p`;
if [ ! -z "$OTHERSLIP" ];
then
   if [ $ALLOW_MULTIPLE_LOGINS -eq 0 ];
   then
           echo "Sorry, you are already connected to $OTHERSLIP.";
           echo "Multiple logins are NOT allowed.";
           echo "For any question, contact helpdesk@inferentia.it";
           /usr/bin/logger -t SLIP -p warn "$USER: attempt to connect on $TTYBASENAME when already connected on $OTHERSLIP - refused";
           exit 64;
   fi
#else...
   /usr/bin/logger -t SLIP -p warn "$USER: multiple login allowed, now using also $TTYBASENAME";
fi
#
# Search for our own Shell to get the PID for checking against LCK-File
#

SH2PID=`ps -ft$TTYNUMBER |
        sed -n -e "s/^ *$USER  *\([0-9][0-9]*\) .*-.*sh *$/\1/p`

#
# Is it the the same PID as in the LCK File so that we can start working ??
DEBUG=0
if [ $DEBUG -eq 1 ];
then
   echo TTYDEV: $TTYDEV
   echo TTYBASENAME: $TTYBASENAME
   echo USER: $USER
   echo SHPID: $SHPID
   echo SH2PID: $SH2PID
fi
if [ "$SHPID" -eq "$SH2PID" ];
then
#  remove the LCK-File because slattach does not like it.
   rm -rf /etc/locks/LCK..$TTYBASENAME
#  Add RTS/CTS Handshakeing to our own tty: Better do it in /etc/rc,
#  using the program from the comp.unix.aix FAQ.
#  stty add rts
   SLIPLINE=`echo $TTYBASENAME | awk '//{print substr($1,4);}'`
   IPADDRESS=`lsattr -E -l sl$SLIPLINE -a dest 2>/dev/null | awk '//{print $2;}'`
   if [ -z "$IPADDRESS" ]
   then
   /usr/bin/logger -t SLIP -p error "$USER: attempt to use tty with no slip interface defined ($TTYBASENAME)"
   echo "This tty ($TTYBASENAME) has not been enabled for SLIP. Please try another one or contact the system administrator."
   exit 64
   fi
   echo SLIP starting. Your IP address is $IPADDRESS
   /usr/sbin/slattach $TTYBASENAME
# Get the pid of slattach so that we can kill him later on.
   SLPID=`ps -aef |
      sed -n -e "s/^ *$USER  *\([0-9][0-9]*\) .*-.*\/usr\/sbin\/slattach $TTYBASENAME *$/\1/p`
#  Just say that we are up.
   logger -t SLIP -p info "$USER: Starting up daemon (pid $SLPID) for [$IPADDRESS] on $TTYDEV"
else
# Something must be wrong with the LCK-File
  SH3PID=`ps -aef | awk ' {print $2}' | grep $SHPID`

  if [ ."$SH3PID" = ."" ]
  then
    SH3PID="NO_SUCH_PROCESS"
  fi

  if [ $SHPID = $SH3PID ]
    then
#  There is a living process which owns the LCK-File !!
   /usr/bin/logger -t SLIP -p error "$USER: Cannot remove LCK file for $TTYDEV (not owner)"
       exit 64
    else
#   Who the hell didn't remove the LCK-File (should never happen)
   /usr/bin/logger -t SLIP -p error "$USER: LCK file for $TTYDEV found with no owner"
       #echo `date` " LCK-File with no owner found !!!" >>$SLIPLOG
       exit 64
    fi
fi

if [ $DEBUG -eq 1]
then
   /usr/bin/logger -t SLIP -p debug "$USER: going to trap signals..."
fi
Nov 28 11:18:46 sauternes rexecd[21420]: connect from brachetto.inferentia.it

                                                                             # terminated )
trap "kill $SLPID; /usr/bin/logger -t SLIP -p info \"$USER: Killing daemon (pid $SLPID) for $TTYDEV\"; exit 0" 1

if [ $DEBUG -eq 1]
then
   trap "/usr/bin/logger -t SLIP -p debug \"$USER: trap ERR\"" ERR
   trap "/usr/bin/logger -t SLIP -p debug \"$USER: trap 0\"" 0
   trap > /tmp/trap.$TTYBASENAME.log
   /usr/bin/logger -t SLIP -p debug "$USER: trap returns $?..."
fi

# We  will have a nice sleep and nice dreamings
if [ $DEBUG -eq 1]
then
   /usr/bin/logger -t SLIP -p debug "$USER: going to sleep-loop..."
fi

while [ true ];
do
sleep 60;
done

# Sanity check (should never happen...)
/usr/bin/logger -t SLIP -p error "$USER: ERROR: .profile broken"

User Contributions:

But remnants' crop burning hits harvesting hard

This sunday, quite possibly 28, 2019 snapshot, Provided by the city service group, jointly for Jarniyah, contains been authenticated based on its contents and other AP reporting, Shows Syrians lifetime extinguish a fire in a field of crops, wearing Jaabar, Raqqa state, Syria. Thousands of acres of wheat and barley fields in both Syria and Iraq have been scorched by the fires within harvest season, that typically runs until mid June. "The life that we live here is already bitter, " stated Hussain Attiya, A farmer from Topzawa Kakayi in upper Iraq. "If the outcome continues like this, I would say that no one will continue to be here. I plant 500 to 600 acres on a yearly basis. still, I won't be able to do that because I can't stay here and guard the land day and night. "ISIS militants have a history of working with a "Scorched earth insurance coverage " In areas from that they can retreat or where they are defeated. Ahmed al Hashloum thoughts Inmaa, Arabic for benefits, A local civil group that supports farming. all it takes is a cigarette butt to set haystacks on fire, He brought up. Said the fires are threatening to disrupt normal food production cycles and potentially reduce food to protect months to come. The crop burning remains localized and can't be compared to pre war devastation, Beals considered that. "suffice to say, It is only the beginning of the summer and if the fires continue it could lead to a crisis, " Beals recounted,AlternativeHeadline,prepared crop burning blamed on ISIS remnants compounds misery in war torn Iraq and Syria"}

But good news is short lived in this part of the world, Where residents of the two countries struggle to face seemingly never ending violence and turmoil amid Syria's civil war and attacks by remnants of the Islamic State of Iraq and Syria (ISIS) social groups. of course, Even in locations where conflict has subsided, Fires currently raging in farmers' fields, depriving them of valuable crops.

The blazes have been blamed also consider on defeated ISIS militants seeking to avenge their losses, Or on Syrian regime forces battling to rout other armed groups. Thousands of acres of wheat and barley fields in both Syria and Iraq have been scorched by the fires within harvest season, what kind runs until mid June.

ISIS militants have a history of implementing a "Scorched earth guideline" In areas from which retreat or where they are defeated. this "A means of inflicting a collective punishment on those put aside, said Emma Beals, a completely independent Syria researcher.

ISIS militants claimed obligations for burning crops in their weekly newsletter, al Nabaa, Saying they targeted farms owned by senior officials in six Iraqi provinces and in Kurdish administered eastern Syria, sending the persistent threat from the group even after its territorial defeat.

ISIS said it burned the farms of "The apostates in Iraq together with the Levant" And required more.

"It seems that it'll be a hot summer that will burn the pockets of the apostates as well as their hearts as they burned the Muslims and their homes in the past years, this great article said.

countless acres of wheat fields around Kirkuk in northern Iraq were set on fire. Several wheat fields in the Daquq district in southern Kirkuk burned for three days straight yesterday.

In eastern Syria's Raqqa state, Farmers battled raging fires with items of cloth, bags and water trucks. Piles of hay burned and black smoke billowed above the job areas.

The Syrian Observatory for Human Rights said through 74,000 acres (30,000 hectares) linked farmland in Hassakeh, Raqqa and completely to Aleppo province to the west, Were scorched.

Activist Omar Abou Layla said local Kurdish led forces failed to react to the fires in the province of Deir el Zour, Where ISIS was uprooted from its last property in March, (...)

Comment about this article, ask questions, or add new information about this topic:




Top Document: comp.unix.aix Frequently Asked Questions (Part 5 of 5)
Previous Document: 8.06: How do I do remote backup? (cont.)
Next Document: 8.08: Disabling software flow control; using RTS/CTS.

Part1 - Part2 - Part3 - Part4 - Part5 - Single Page

[ Usenet FAQs | Web FAQs | Documents | RFC Index ]

Send corrections/additions to the FAQ Maintainer:
bofh@mail.teleweb.pt (Jose Pina Coelho)





Last Update March 27 2014 @ 02:11 PM